<solidify-empty-container (onEscape)="backToList()"
                          solidifyShortCuts
>
  <solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                  [formPresentational]="formPresentational"
                                  [mode]="'create'"
  >
  </solidify-button-toolbar-detail>

  <div [solidifySpinner]="isLoadingWithDependencyObs | async"
       class="wrapper"
  >
    <dlcm-admin-submission-policy-form #formPresentational
                                       *ngIf="isReadyToBeDisplayedInCreateModeObs | async"
                                       [listSubmissionAgreements]="listSubmissionAgreementsObs | async"
                                       (dirtyChange)="updateCanDeactivate($event)"
                                       (submitChange)="create($event)"
                                       (navigate)="navigate($event)"
    ></dlcm-admin-submission-policy-form>
  </div>
</solidify-empty-container>
